read_stan_csv {rstan} | R Documentation

## Read CSV files of samples generated by (R)Stan into a `stanfit` object

### Description

Create a `stanfit` object from the saved CSV files that are created by Stan or RStan and that include the samples drawn from the distribution of interest to facilitate analysis of samples using RStan.

### Usage

    read_stan_csv(csvfiles, col_major = TRUE)

### Arguments

`csvfiles` | A character vector providing CSV file names
`col_major` | The order for array parameters; default to `TRUE`

### Details

Stan and RStan could save the samples to CSV files. This function reads the samples and using the comments (beginning with `"#"`) to create a `stanfit` object. The model name is derived from the first CSV file.

`col_major` specifies how array parameters are ordered in each row of the CSV files. For example, parameter `"a[2,2]"` would be ordered as `"a[1,1], a[2,1], a[1,2], a[2,2]"` if col_major is `TRUE`.

### Value

A `stanfit` object (with invalid `stanmodel` slot). This `stanfit` object cannot be used to re-run the sampler.

### See Also

`stanfit`

### Examples

    csvfiles <- dir(system.file('misc', package = 'rstan'),
                    pattern = 'rstan_doc_ex_[0-9].csv', full.names = TRUE)
    fit <- read_stan_csv(csvfiles)

[Package rstan version 2.12.1 Index]